@font-face {
    font-family: 'SharpGroteskBook';
    src: url(../fonts/SharpGroteskBook.otf);
}

@font-face {
    font-family: 'SharpGroteskBook20';
    src: url(../fonts/SharpGrotesk-Book20.otf);
}

@font-face {
    font-family: 'SharpGroteskMedium';
    src: url(../fonts/SharpGroteskMedium.otf);
}


@font-face {
    font-family: 'SharpGroteskBold25';
    src: url(../fonts/SharpGroteskBold25.otf);
}

@font-face {
    font-family: 'SharpGroteskMedium20';
    src: url(../fonts/SharpGrotesk-Medium20.otf);
}

@font-face {
    font-family: 'SharpGroteskLight';
    src: url(../fonts/SharpGroteskLight.otf);
}

@font-face {
    font-family: 'SharpGroteskMedium15';
    src: url(../fonts/SharpGrotesk-Medium15.otf);
}

@font-face {
    font-family: 'ClassDisplayMedium';
    src: url(../fonts/ClashDisplay-Medium.ttf);
}

@font-face {
    font-family: 'SFProDisplayRegular';
    src: url(../fonts/SFProDisplay-Regular.ttf);
}

@font-face {
    font-family: 'SFProTextRegular';
    src: url(../fonts/SFProText-Regular.ttf);
}

@font-face {
    font-family: 'ClashGroteskMedium';
    src: url(../fonts/ClashGrotesk-Medium.otf);
}


@font-face {
    font-family: 'SFProTextSemibold';
    src: url(../fonts/FontsFree-Net-SFProText-Semibold.ttf);
}

body {
    background: #f8f8f8;
    font-family: 'ClassDisplayMedium';
    overflow-x: hidden;

    &.menu-active {
        overflow: hidden;

        .mobile-menu {
            top: 0;
            transition: all .3s ease;
            
            a{
                opacity: 1;
            }
        }

        .mobile-btn {
            span {
                background: #fff;
                transition: all .3s ease;
                position: absolute;
                top: 50%;
                transform: translate(0, -50%);

                &:first-child {
                    transform: rotate(45deg);
                }

                &:last-child {
                    transform: rotate(-45deg);
                }

                &:nth-child(2) {
                    opacity: 0;
                }
            }
        }
    }
}

.bg-light {
    background: #f8f8f8 !important;
}

a {
    text-decoration: none !important;
    color: inherit;
}

.pl-5 {
    margin-left: 5rem;
}

@keyframes preAnim {
    0% {
        transform: translate(-50%, -50%)rotate(0);
    }

    50% {
        transform: translate(-50%, -50%) rotate(45deg);
    }

    100% {
        transform: translate(-50%, -50%) rotate(0deg);
    }
}

.preloader {
    position: fixed;
    background: #eee9dd;
    z-index: 9999;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all .5s ease;
    transition-delay: 1s;
    opacity: 1;

    img {
        transition: all 2s ease;
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
        width: 20% !important;

        &:first-child {
            animation: preAnim 5s linear infinite;
        }
    }

    &.active {
        visibility: hidden;
        opacity: 0;
    }
}

header {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 30px 100px;
    z-index: 999;

    nav {
        display: flex;
        align-items: center;
        width: 40%;
        gap: 70px;

        a {
            font-family: 'ClassDisplayMedium';
            text-transform: uppercase;
            font-weight: bold;
            color: #00355f;
            position: relative;
            padding: 10px 0;

            &::after {
                content: '';
                position: absolute;
                height: 3px;
                width: 0;
                background: #c8a96d;
                bottom: 0;
                left: 0;
                transition: all .3s ease;
            }

            &:hover {
                &::after {
                    width: 100%;
                }
            }
        }

        &:first-of-type {
            justify-content: flex-end;
        }
    }

    .logo {
        display: inline-block;
        width: 20%;
        text-align: center;

        img {
            width: 130px;
        }
    }
}

.main-slider {
    .m-slide {
        height: 100vh;
        background: #eee9dd;
        font-family: 'SharpGroteskBook';
        font-size: 90px;
        display: flex;
        align-items: center;
        color: #00355f;
        position: relative;

        .title {
            position: relative;
            z-index: 2;
        }

        .shapes {
            img {
                position: absolute;

                &:first-of-type {
                    bottom: 0;
                    left: 6%;
                    width: 40%;
                    height: 250px;
                    object-fit: cover;
                }

                &:last-of-type {
                    top: 25%;
                    right: 5%;
                    width: 35%;
                }
            }
        }
    }
}

.corporate {
    padding: 100px 0;

    .title {
        font-family: 'SharpGroteskBook';
        color: #c6a76c;
        font-size: 40px;
        margin-bottom: 30px;
    }

    .desc {
        font-family: 'ClassDisplayMedium';
        font-size: 18px;
        color: #5f5f5f;
    }

    .video-wrap {
        margin-left: 50px;
        position: relative;
        overflow: hidden;

        video {
            height: 700px;
            object-fit: cover;
        }

        .dumen {
            position: absolute;
            bottom: -50%;
            width: 100%;
            left: 50%;
            transform: translate(-50%, 0) rotate(0deg);
        }
    }

}

.detail-btn {
    font-family: 'ClassDisplayMedium';
    font-size: 20px;
    color: #5f5f5f;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: fit-content;
    border-bottom: 2px solid #5f5f5f;
    padding: 5px 0;
    margin-top: 30px;
    transition: all .3s ease;

    img {
        height: 15px;
        margin-left: 30px;
        transition: all .3s ease;
    }

    &:hover {
        color: #00355f;
        border-color: #00355f;

        img {
            transform: translate(-10px, 0);
        }
    }
}

@keyframes fishAnim {
    0% {
        transform: translate(0, -10px);
    }

    50% {
        transform: translate(0, 0);
    }

    100% {
        transform: translate(0, -10px);
    }
}

.products {
    padding: 100px 0;
    background-color: #0f3560;
    position: relative;

    .title {
        font-family: 'SharpGroteskBook';
        color: #fff;
        font-size: 50px;
        margin-bottom: 50px;
    }

    .product-slider {
        margin: 0 -30%;

        .p-wrap {
            text-align: center;
            margin: 0 100px;
            transform: scale(.8);
            transition: all .3s ease;

            .p-img {
                position: relative;


                img {
                    position: relative;
                    z-index: 2;
                }

                &::after {
                    position: absolute;
                    content: '';
                    width: 18vw;
                    height: 18vw;
                    border-radius: 50%;
                    background: #c6a76c;
                    transform: translate(-50%, -50%) scale(0);
                    top: 50%;
                    left: 50%;
                    transition: all 1s cubic-bezier(.47, 1.64, .41, .8);
                }

                &::before {
                    position: absolute;
                    content: '';
                    width: 14vw;
                    height: 14vw;
                    border-radius: 50%;
                    background: #ebc988;
                    transform: translate(-50%, -50%) scale(0);
                    top: 50%;
                    left: 50%;
                    transition: all 1.2s cubic-bezier(.47, 1.64, .41, .8);
                    z-index: 2;
                }
            }

            .p-name {
                font-family: 'SharpGroteskBook';
                -webkit-text-stroke: 1px #fff;
                color: transparent;
                font-size: 5vw;
                transition: all 1s ease;
            }

            a {
                margin: 30px auto 0 auto;
                font-size: 2vw;
                color: #fff;
                border-color: #fff;
                opacity: 0;
                transition: all 1s ease;

                svg {
                    height: 15px;
                    margin-left: 40px;
                    transition: all .3s ease;
                }

                path {
                    fill: #fff;
                    transition: all .3s ease;
                }

                &:hover {
                    color: #c6a76c;
                    border-color: #c6a76c;

                    path {
                        fill: #c6a76c;
                    }

                    svg {
                        transform: translate(-10px, 0);
                    }
                }

            }
        }

        .slick-center {
            a {
                opacity: 1;
            }

            .p-name {
                color: #c6a76c;
                -webkit-text-stroke: 1px #c6a76c;
                text-align: center;
            }

            .p-img {

                &::after,
                &::before {
                    transform: translate(-50%, -50%) scale(1);
                }

                img {
                    animation: fishAnim 3s alternate infinite;
                }
            }

            .p-wrap {
                transform: scale(1);
            }
        }
    }

    .p-prev,
    .p-next {
        width: 60px;
        height: 60px;
        border: 2px solid #fff;
        border-radius: 50%;
        display: flex;
        align-items: center;
        justify-content: center;
        cursor: pointer;
        position: absolute;
        top: 50%;

        svg {
            height: 15px;

            path {
                fill: #fff;
            }
        }
    }

    .p-prev {
        left: 20%;
        transform: rotateY(180deg);
    }

    .p-next {
        right: 20%;
    }
}

.production {
    padding: 100px 0;
    position: relative;

    .title {
        font-family: 'SharpGroteskBook';
        color: #c6a76c;
        font-size: 50px;
        margin-bottom: 50px;
        position: relative;
    }

    .pr-title {
        font-family: 'ClassDisplayMedium';
        font-size: 20px;
        color: #0f3560;
        margin-bottom: 10px;
    }

    .pr-desc {
        font-family: 'ClassDisplayMedium';
        font-size: 18px;
        color: #5f5f5f;
    }

    .navigate {
        position: relative;
        pointer-events: none;

        .nav-bar {
            position: absolute;
            height: 20px;
            width: 20%;
            background: #103560;
            bottom: 8px;
            left: 8px;
            transition: all .3s ease;
        }
    }

    .prod-prev,
    .prod-next {
        width: 50px;
        height: 50px;
        border: 2px solid #c5a66b;
        border-radius: 50%;
        display: flex;
        align-items: center;
        justify-content: center;
        cursor: pointer;
        position: absolute;
        top: 50%;
        transform: translate(-50%, -50%);
        z-index: 2;

        svg {
            height: 13px;

            path {
                fill: #333;
            }
        }
    }

    .prod-prev {
        left: 20%;
        transform: translate(-50%, -50%) rotateY(180deg);
    }

    .prod-next {
        right: 20%;
    }
}

.export {
    padding: 100px 0;
    background: #eee9dd;

    .title {
        font-family: 'SharpGroteskBook';
        color: #123560;
        font-size: 50px;
        margin-bottom: 30px;
        position: relative;
    }

    .desc {
        font-family: 'ClassDisplayMedium';
        font-size: 18px;
        color: #5f5f5f;
    }
}

footer {
    background: #103560;
    padding: 30px 0;

    .foot-wrap {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .foot-logo {
        img {
            height: 120px;
        }
    }

    .foot-nav {

        a {
            font-family: 'ClassDisplayMedium';
            text-transform: uppercase;
            font-weight: bold;
            color: #fff;
            position: relative;
            padding: 10px 10px;
            display: inline-block;

            &::after {
                content: '';
                position: absolute;
                height: 3px;
                width: 0;
                background: #c8a96d;
                bottom: 0;
                left: 0;
                transition: all .3s ease;
            }

            &:hover {
                &::after {
                    width: 100%;
                }
            }
        }
    }

    .foot-social {

        a {
            margin-left: 5px;

            img {
                height: 25px;
            }
        }
    }
}

.copyright {
    background: #c8a96d;
    padding: 5px 0;
    color: #fff;

    .foot-soz {
        color: #fff;
        margin: 0 10px;
    }
}

@-webkit-keyframes dostuff {
    0% {
        height: 60%;
    }

    50% {
        height: 40%;
    }

    100% {
        height: 60%;
    }
}

.page-banner {
    background: #eee9dd;
    padding: 230px 0 70px 0;
    font-family: 'SharpGroteskBook';
    font-size: 90px;
    color: #00355f;
    background-position: bottom;
    background-repeat: no-repeat;
    background-size: 100%;
    position: relative;

    h1 {
        text-transform: uppercase;
        position: relative;
        z-index: 3;
        font-size: 50px;
    }

    #ocean {
        position: absolute;
        width: 100%;
        min-height: 25%;
        background: transparent;
        bottom: 0;
        z-index: 2;
    }

    .wave {
        background: #f8f8f8;
        display: inline-block;
        height: 100%;
        width: 15px;
        position: absolute;
        -webkit-animation-name: dostuff;
        -webkit-animation-duration: 3s;
        -webkit-animation-iteration-count: infinite;
        -webkit-transition-timing-function: ease-in-out;
        bottom: 0;
    }
}

.p-wrap {
    text-align: center;
    cursor: pointer;

    .p-img {
        position: relative;

        img {
            position: relative;
            z-index: 3;
        }

        &::after {
            content: '';
            position: absolute;
            width: 200px;
            height: 200px;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            border-radius: 50%;
            background: #00355f;
            transition: all 400ms cubic-bezier(.47, 1.64, .41, .8);
        }

        &::before {
            content: '';
            position: absolute;
            width: 170px;
            height: 170px;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%) scale(0);
            border-radius: 50%;
            background: #c8a96d;
            transition: all 400ms cubic-bezier(.47, 1.64, .41, .8);
            z-index: 2;
        }
    }

    .p-l-name {
        font-family: 'SharpGroteskBook';
        color: #6a6e79;
        font-size: 14px;
        line-height: 30px;
        text-transform: uppercase;
    }

    .p-name {
        font-family: 'SharpGroteskBook';
        font-size: 30px;
        text-transform: uppercase;
        line-height: normal;
        color: #c8a96d;
    }

    &:hover {
        .p-img::after {
            transform: translate(-50%, -50%) scale(1.2);
        }

        .p-img::before {
            transform: translate(-50%, -50%) scale(1);
        }

        .p-img img {
            animation: FishAnim 3s ease infinite;
        }
    }
}

.news-wrap {
    margin-bottom: 50px;
    overflow: hidden;

    .news-img {
        transition: all .3s ease;
    }

    &:hover {
        .news-img {
            transform: scale(1.05);
        }
    }

    h3 {
        margin: 30px 0 15px 0;
        font-family: 'SharpGroteskBook';
        color: #c6a76c;
        font-size: 18px;
    }

    p {
        font-family: 'ClassDisplayMedium';
        font-size: 18px;
        color: #5f5f5f;
    }
}

.contact {
    padding: 100px 0;

    .cont-wrap {
        background: #f0f0f0;
        padding: 50px;
        height: 100%;

        .m-title {
            font-family: 'SharpGroteskBook';
            font-size: 20px;
            margin-bottom: 10px;
            color: #c8a96d;
        }

        a {
            display: block;
            color: #333;
            font-family: 'ClassDisplayMedium';
        }
    }
}

.mobile-menu {
    position: fixed;
    background: #01345f57;
    top: -100%;
    left: 0;
    height: 100%;
    right: 0;
    z-index: 99;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 10px;
    backdrop-filter: blur(30px);

    a {
        font-family: 'ClassDisplayMedium';
        text-transform: uppercase;
        font-weight: bold;
        color: #fff;
        position: relative;
        padding: 10px 0;
        font-size: 25px;
        transition: all .3s ease;
        transition-delay: .3s;
        opacity: 0;
    }
}

.mobile-btn {
    transition: all .3s ease;
    display: block;
    width: 30px;
    height: 20px;
    position: relative;
    cursor: pointer;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: space-between;
    display: none;

    span {
        width: 100%;
        height: 3px;
        background: #01345f;
        display: block;
        transition: all .3s ease;
    }
}

@media(max-width:969px) {
    header {
        padding: 30px;

        nav {
            display: none;
        }

        .mobile-btn{
            display: flex;
        }

        .logo {
            img {
                width: 90px;
            }
        }
    }

    .main-slider {
        .m-slide {
            font-size: 56px !important;
            line-height: 70px;

            .shapes {
                img {
                    &:last-of-type {
                        top: 25%;
                        right: 0;
                        width: 65%;
                    }

                    &:first-of-type {
                        left: 0;
                        width: 60%;
                    }
                }
            }
        }
    }

    .corporate {
        .row {
            flex-direction: column-reverse;
        }

        .video-wrap {
            margin-left: 0;

            .dumen {
                bottom: -30%;
            }
        }

        .title {
            margin-top: 30px;
        }
    }

    .products {
        .title {
            font-size: 40px;
        }

        .p-prev {
            left: 10%;
        }

        .p-next {
            right: 10%;
        }

        .p-img {
            img {
                width: 80% !important;
                margin: auto;
            }

            &:after {
                width: 48vw !important;
                height: 48vw !important;
            }

            &::before {
                width: 28vw !important;
                height: 28vw !important;
            }
        }

        a {
            font-size: 3vw !important;
        }

        .p-prev,
        .p-next {
            width: 50px;
            height: 50px;
            top: 75%;
        }
    }

    .production {
        .title {
            font-size: 40px;
        }

        .prod-prev {
            left: 10%;
        }

        .prod-next {
            right: -2%;
        }

        .navigate {
            .nav-bar {
                height: 7px;
                width: 20%;
                bottom: 3px;
                left: 3px;
            }
        }
    }

    .export {
        .title {
            font-size: 40px;
            margin-top: 30px;
        }

        .pl-5 {
            margin-left: 0;
        }

        video {
            margin-bottom: 30px;
        }
    }

    footer {
        .foot-wrap {
            flex-direction: column;
            gap: 30px;

            .foot-nav {
                a {
                    display: block;
                    text-align: center;
                }
            }
        }
    }

    .copyright {
        text-align: center;
        padding: 30px 0;

        .text-end {
            text-align: center !important;
        }

        .row {
            gap: 10px;
        }
    }

    .page-banner {
        background-repeat: repeat;
        background-size: contain;

        .wave {
            width: 35px;
        }
    }

    .preloader {
        img {
            width: 60% !important;
        }
    }
}